   Copyright © 2009 Red Hat, Inc. and others. This material may be
   distributed only subject to the terms and conditions set forth in the Open
   Publication License, v1.0, available at
   [1]http://www.opencontent.org/openpub/.

   --------------------------------------------------------------------------

Introduction

   The following topics are covered in this document:

     o Installation-Related Notes

     o Feature Updates

     o Kernel-Related Updates

     o Driver Updates

     o Technology Previews

     o Resolved Issues

     o Known Issues

   Some updates on Red Hat Enterprise Linux 4.8 may not appear in this
   version of the Release Notes. An updated version of the Red Hat Enterprise
   Linux 4.8 Release Notes may also be available at the following URL:

   [2]http://www.redhat.com/docs/manuals/enterprise/

  Lifecycle

   The Red Hat Enterprise Linux 4 Life Cycle is available at:
   [3]https://www.redhat.com/security/updates/errata/

   As previously announced, the release of Red Hat Enterprise Linux 4.8 will
   mark the beginning of Production 2 phase of the Red Hat Enterprise Linux
   4. No new hardware enablement will be expected during this phase.

   [4]https://www.redhat.com/archives/nahant-list/2008-July/msg00059.html

   Customers should note that their subscriptions provide access to all
   currently supported versions of Red Hat Enterprise Linux.

Installation-Related Notes

   The following section includes information specific to installation of Red
   Hat Enterprise Linux and the Anaconda installation program.

  Note

   When updating from one minor version of Red Hat Enterprise Linux 4 (such
   as 4.6 to 4.7) to Red Hat Enterprise Linux 4.8, it is recommended that you
   do so using Red Hat Network, whether through the hosted web user interface
   or Red Hat Network Satellite.

   If you are upgrading a system with no available network connectivity, use
   the "Upgrade" functionality of Anaconda. However, note that Anaconda has
   limited abilities to handle issues such as dependencies on additional
   repositories or third-party applications. Further, Anaconda reports
   installation errors in a log file, not interactively.

   As such, Red Hat recommends that when upgrading offline systems, you
   should test and verify the integrity of your upgrade configuration first.
   Be sure to carefully review the update log for errors before applying the
   upgrade to your production environment.

   In-place upgrades between major versions of Red Hat Enterprise Linux (for
   example, upgrading from Red Hat Enterprise Linux 3 to Red Hat Enterprise
   Linux 4.8) is not supported. While the "Upgrade" option of Anaconda allows
   you to perform this, there is no guarantee that the upgrade will result in
   a working installation. In-place upgrades accross major releases do not
   preserve all system settings, services, and custom configurations. For
   this reason, Red Hat strongly recommends that you perform a fresh
   installation when planning to upgrade between major versions.

     o If you are copying the contents of the Red Hat Enterprise Linux 4.8
       CD-ROMs (in preparation for a network-based installation, for example)
       be sure you copy the CD-ROMs for the operating system only. Do not
       copy the Supplementary CD-ROM, or any of the layered product CD-ROMs,
       as this will overwrite files necessary for Anaconda's proper
       operation.

       These CD-ROMs must be installed after Red Hat Enterprise Linux is
       installed.

     o The version of GRUB shipped with Red Hat Enterprise Linux 4 (and all
       updates) does not support software mirroring (RAID1). As such, if you
       install Red Hat Enterprise Linux 4 on a RAID1 partition, the
       bootloader will be installed in the first hard drive instead of the
       master boot record (MBR). This will render the system unbootable.

       If you wish to install Red Hat Enterprise Linux 4 on a RAID1
       partition, you should clear any pre-existing bootloader from the MBR
       first.

     o When installing Red Hat Enterprise Linux 4 in Text Mode on systems
       that use flat-panel monitors and some ATI cards, the screen area may
       appear shifted. When this occurs, some areas of the screen will be
       obscured.

       If this occurs, perform the installation with the parameter linux
       nofb.

     o When upgrading from Red Hat Enterprise Linux 4.6 to this release,
       minilogd may log several SELinux denials. These error logs are
       harmless, and can be safely ignored.

     o Previously, in the Anaconda kickstart documentation (located at:
       /usr/share/doc/anaconda-<anaconda-version>/kickstart-docs.txt), the
       section detailing the --driveorder option in a kickstart file stated:

 Specify which drive is first in the BIOS boot order.


       However, the --driveorder option actually requires a list of all
       drives on the system, with the first boot device appearing first in
       the list. With this update, the documentation has been clarified and
       now reads:

 Specify which drive is first in the BIOS boot order.
 The ordered list must include all the drives in the system.


       When using the --driveorder option in a kickstart file The ordered
       list must include all the drives in the system.

Feature Updates

     o Systemtap is now a fully supported feature in Red Hat Enterprise Linux
       4. systemtap provides a free software (GPL) infrastructure to simplify
       the gathering of information about the running Linux system. This
       assists diagnosis of a performance or functional problem. With the
       help of systemtap, developers no longer need to go through the tedious
       and disruptive sequence of instrument, recompile, install, and reboot
       that may be otherwise required to collect data.

       Note that some features of systemtap for newer Red Hat Enterprise
       Linux or Linux systems will not work on Red Hat Enterprise Linux 4 due
       to missing kernel features. The absence of the kernel utrace precludes
       support for any user-space probing.

     o dmidecode gives information about BIOSes and motherboard revisions.
       The version of kernel-utils supplied with this advisory updates
       dmidecode from version 2.2 to version 2.9. This version identifies
       newer processors, PCI-express slots and devices, and blade chassis. It
       also offers enhanced support for the SMBIOS v2.6 specification.

     o a new version of kernel-utils is included in this release, updating
       the Intel microcode file to version 20080910, to support newer Intel
       processors.

     o smartmontools has been extended to support newer CCISS controllers
       found in newer HP ProLiant hardware.

     o The Samba package has been rebased to the upstream version 3.0.33. The
       3.0.x version series is a bugfix only branch of the Samba code base.
       By rebasing to 3.0.33 we will include a number of important bug fixes
       and security fixes. No new features will be added by this rebase.

       For more information on the upstream fixes provided by this rebase,
       refer to the Samba Release Notes:
       [5]http://samba.org/samba/history/samba-3.0.33.html

     o ipmitool has been updated to the upstream version 1.8.11, which
       provides several bug fixes and enhancements over the previous release,
       including the following:

          o Documentation update

          o Bugfixes for SDR/FRU, SOL and many others

          o New commands and options

       Please note that behaviour of the -K command line switch has changed
       from prompt for Kg key to read Kg key from environment variable. The
       -Y flag now behaves as the -K did prior to this update.

Kernel-Related Updates

     o Previously, there was a missing sign extension in the x86_64 ptrace
       code that may have caused gdb to fail on the x86_64 architecture when
       debugging an i386 application. With this update, the missing sign
       extension is now correctly extended, which resolves this issue.

     o The ibmphp module is not safe to unload. Previously, the mechanism
       that prevented the ibmphp module from unloading was insufficient, and
       eventually triggered a bug halt. With this update, the method to
       prevent this module from unloading has been improved, preventing the
       bug halt. However, attempting to unload the module may produce a
       warning in the message log, indicating that the module is not safe to
       unload. This warning can be safely ignored.

     o With this update, physical memory will be limited to 64GB for 32-bit
       x86 kernels running on systems with more than 64GB. The kernel splits
       memory into 2 separate regions: Lowmem and Highmem. Lowmem is mapped
       into the kernel address space at all times. Highmem, however, is
       mapped into a kernel virtual window a page at a time as needed. If
       memory I/Os are allowed to exceed 64GB, the mem_map (also known as the
       page array) size can approach or even exceed the size of Lowmem. If
       this happens, the kernel panics during boot or starts prematurely. In
       the latter case, the kernel fails to allocate kernel memory after
       booting and either panics or hangs.

     o Previously, if a user pressed the arrow keys continously on a Hardware
       Virtual Machine (HVM) an interrupt race condition between the hardware
       interrupt and timer interrupt was encountered. As a result, the
       keyboard driver reported unknown keycode events. With this update, the
       i8042 polling timer has been removed, which resolves this issue.

     o With this update, the diskdump utility (which provides the ability to
       create and collect vmcore Kernel dumps) is now supported for use with
       the sata_svw driver.

     o With this update, the "swap_token_timeout" parameter has been added to
       /proc/sys/vm.

       This file contains valid hold time of swap out protection token. The
       Linux Virtual Memory (VM) subsystem has a token based thrashing
       control mechanism and uses the token to prevent unnecessary page
       faults in thrashing situation. The unit of the value is in `second`.
       The value would be useful to tune thrashing behavior. Setting it to 0
       will disable the swap token mechanism.

     o Previously, when a NFSv4 (Network File System Version 4) client
       encountered issues while processing a directory using readdir(), an
       error for the entire readdir() call was returned. With this update,
       the fattr4_rdattr_error flag is now set when readdir() is called,
       instructing the server to continue on and only report an error on the
       specific directory entry that was causing the issue.

     o Previously, the NFS (Network File System) client was not handling
       malformed replies from the readdir() function. Consequently, the reply
       from the server would indicate that the call to the readdir() function
       was successful, but the reply would contain no entries. With this
       update, the readdir() reply parsing logic has been changed, such that
       when a malformed reply is received, the client returns an EIO error.

     o The RPC client stores the result of a portmap call at a place in
       memory that can be freed and reallocated under the right
       circumstances. However, under some circumstances, the result of the
       portmap call was freed from memory too early, which may have resulted
       in memory corruption. With this update, reference counting has been
       added to the memory location where the portmap result is stored, and
       will only free it after it has been used.

     o Under some circumstances, the allocation of some data structures for
       RPC calls may have been blocked when the system memory was low.
       Consequently, deadlock may have been encountered under heavy memory
       pressure when there were a large number of NFS pages awaiting
       writeback. With this update, the allocation of these data structures
       is now non-blocking, which resolves this issue.

     o Previously, degraded performance may have been encountered when
       writing to a LVM mirrored volume synchronously (using the O_SYNC
       flag). Consequently, every write I/O to a mirrored volume was delayed
       by 3ms, resulting in the mirrored volume being approximately 5-10
       times slower than a linear volume. With this update, I/O queue
       unplugging has been added to the dm-raid1 driver, and the performace
       of mirrored volumes has been improved to be comparable with that of
       linear volumes.

     o A new tuning parameter has been added to allow system administrators
       to change the max number of modified pages kupdate writes to disk per
       iteration each time it runs. This new tunable
       (/proc/sys/vm/max_writeback_pages) defaults to a value of 1024 (4MB)
       so that a maximum of 1024 pages get written out by each iteration of
       kupdate. Increasing this value alters how aggressively kupdate flushes
       modified pages and decreases the potential amount of data loss if the
       system crashes between kupdate runs. However, increasing the
       max_writeback_pages value may have negative performance consequences
       on systems that are sensitive to I/O loads.

     o A new allowable value has been added to the
       /proc/sys/kernel/wake_balance tunable parameter. Setting wake_balance
       to a value of 2 will instruct the scheduler to run the thread on any
       available CPU rather than scheduling it on the optimal CPU. Setting
       this kernel parameter to 2 will force the scheduler to reduce the
       overall latency even at the cost of total system throughput.

     o When checking a directory tree, the kernel module could, in some
       circumstances, incorrectly decide the tree was not busy. An active
       offset mount with an open file handle being used for expires caused
       the file handle to not count toward the busyness check. This resulted
       in mount requests being made for already mounted offsets. With this
       update, the kernel module check has been corrected and incorrect mount
       requests are no longer generated.

     o During system initalization, the CPU vendor was detected after the
       initialization of the Advanced Programmable Interrupt Controllers
       (APICs). Consequently, on x86_64 AMD systems with more than 8 cores,
       APIC clustered mode was used, resulting in suboptimal system
       performance. With this update, the CPU vendor is now queried prior to
       initializing the APICs, resulting in APIC physical flat mode being
       used by default, which resolves this issue.

     o The Common Internet File System (CIFS) code has been updated in Red
       Hat Enterprise Linux 4.8, fixing a number of bugs that had been
       repaired in upstream, including the following change:

       Previously, when mounting a server without Unix extensions, it was
       possible to change the mode of a file. However, this mode change could
       not be permanently stored, and may have changed back to the original
       mode at any time. With this update, the mode of the file cannot be
       temporarily changed by default; chmod() calls will return success, but
       have no effect. A new mount option, dynperm needs to be used if the
       old behavior is required.

     o Previously, in the kernel, there was a race condition may have been
       encountered between dio_bio_end_aio() and dio_await_one(). This may
       have lead to a situation where direct I/O is left waiting indefinitely
       on an I/O process that has already completed. With this update, these
       reference counting operations are now locked so that the submission
       and completion paths see a unified state, which resolves this issue.

     o Previously, upgrading a fully virtualized guest system from Red Hat
       Enterprise Linux 4.6 (with the kmod-xenpv package installed) to newer
       versions of Red Hat Enterprise Linux 4 resulted in an improper module
       dependency between the built-in kernel modules: xen-vbd.ko &
       xen-vnif.ko and the older xen-platform-pci.ko module. Consequently,
       file systems mounted via the xen-vbd.ko block driver, and guest
       networking using the xen-vnif.ko network driver would fail.

       In Red Hat Enterprise Linux 4.7, the functionality in the
       xen-platform-pci.ko module was built-in to the kernel. However, when a
       formally loadable kernel module becomes a part of the kernel, the
       symbol dependency check for existing loadable modules is not accounted
       for in the module-init-tools correctly. With this update, the
       xen-platform-pci.ko functionality has been removed from the built-in
       kernel and placed back into a loadable module, allowing the
       module-init-tools to check and create the proper dependencies during a
       kernel upgrade.

     o Previously, attempting to mount disks or partitions in a 32-bit Red
       Hat Enterprise Linux 4.6 fully virtualized guest using the
       paravirtualized block driver(xen-vbd.ko) on a 64-bit host would fail.
       With this update, the block front driver (block.c) has been updated to
       inform the block back driver that the guest is using the 32-bit
       protocol, which resolves this issue.

     o Previously, installing the pv-on-hvm drivers on a bare-metal kernel
       automatically created the /proc/xen directory. Consequently,
       applications that verify if the system is running a virtualized kernel
       by checking for the existence of the /proc/xen directory may have
       incorrectly assumed that the virtualized kernel is being used. With
       this update, the pv-on-hvm drivers no longer create the /proc/xen
       directory, which resolves this issue.

     o Previously, paravirtualized guests could only have a maximum of 16
       disk devices. In this update, this limit has been increased to a
       maximum of 256 disk devices.

Driver Updates

     o The Intel® High Definition Audio (HDA) driver in ALSA has been
       updated. This update improves audio support for newer hardware with
       HDA integrated audio.

     o Previously, network devices using the forcedeth driver may have
       stopped responding while doing rcp command from multiple clients. With
       this update, the forcedeth driver has been updated, which resolves
       this issue.

     o Previously, the Automatic Direct Memory Access (ADMA) mode was enabled
       by default in the sata_nv driver. Consequently, device errors and
       timeouts may have been encountered with some devices that utilize the
       sata_nv driver. With this update, ADMA mode is now disabled by
       default, which resolves this issue.

     o The drivers for virtio, the platform for I/O virtualization in KVM,
       has been backported to Red Hat Enterprise Linux 4.8 from Linux Kernel
       2.6.27. These drivers will enable KVM guests to achieve higher levels
       of I/O performance. Various user space components such as: anaconda,
       kudzu, lvm, selinux and mkinitrd have also been updated to support
       virtio devices.

     o The r8169 driver has been updated to provide support for newer network
       chipsets. With this update, all variants of RTL810x/RTL8168(9) are now
       supported in Red Hat Enterprise Linux 4.8.

     o The mptsas driver has been updated to version 3.12.29.00. This update
       includes bug fixes and enables the following new features:

          o Dual Port support.

          o SAS chip Power Management.

     o The lpfc driver has been updated to version number to 8.0.16.46. This
       update applies several bug fixes and enhancements, including:

          o support for FCoE LP21000 HBAs

          o support for HBAnyware 4.0

     o The megaraid_sas driver for SAS based RAID controllers has been
       updated to version 4.01-RH1. Several bug fixes and improvements are
       applied by this update, including:

          o Added support for the LSI Generation 2 Controllers (0078, 0079)

          o Added a command to shutdown DCMD in the shutdown routine to
            improve firmware shutdown.

          o A bug that caused unexpected interrupts in the hardware Linux
            driver has been fixed.

     o The eHEA ethernet device driver for IBM eServer System P has been
       updated to version 0078-08.

     o The EHCA infinband device driver will not be supported for Red Hat
       Enterprise Linux 4.8 and all future Red Hat Enterprise Linux 4
       releases.

Technology Previews

   Technology Preview features are currently not supported under Red Hat
   Enterprise Linux 4.8 subscription services, may not be functionally
   complete, and are generally not suitable for production use. However,
   these features are included as a customer convenience and to provide the
   feature with wider exposure.

   Customers may find these features useful in a non-production environment.
   Customers are also free to provide feedback and functionality suggestions
   for a technology preview feature before it becomes fully supported.
   Erratas will be provided for high-severity security issues.

   During the development of a technology preview feature, additional
   components may become available to the public for testing. It is the
   intention of Red Hat to fully support technology preview features in a
   future release.

   For more information on the scope of Technology Previews in Red Hat
   Enterprise Linux, please view the [6]Technology Preview Features Support
   Scope page on the Red Hat website.

Resolved Issues

     o Previously, if the Red Hat Network applet was used to re-register the
       client to a different Red Hat Satellite Server, the applet would
       continue to show updates that had been available on the previous
       server, even if they were not available on the current server. The
       /etc/sysconfig/rhn/rhn-applet would not change to reflect the details
       of the new server. The version of the applet provided with this update
       associates a cache of updates with a server url, and therefore ensure
       that the updates displayed to the user are actually available. This
       version can also detect when its configuration file has changed. If
       such a change is detected, the applet will automatically reload the
       configuration variables and create new server connections.

     o sysreport.legacy used $HOME as its root directory. In case this
       environment variable did not exist or the directory it referred to was
       not writable, sysreport.legacy could not generate its report and would
       exit with the message Cannot make temp dir. Sysreport.legacy now uses
       a randomly created directory as its root directory and therefore can
       generate a report even on a system without a usable $HOME.

     o The automount daemon used fixed size buffer of 128 bytes long to
       receive information from the SIOCGIFCONF ioctl about local interfaces
       when testing for the proximity of a host corresponding to a given
       mount. Since the details of each interface are 40 bytes long, the
       daemon could receive information on no more than three local
       interfaces. If the host corresponding to the mount had an address that
       was local but did not correspond to one of the three interfaces the
       proximity would be classified incorrectly.

       The automount daemon now dynamically allocates a buffer, ensuring that
       it is large enough to contain information on all interfaces on the
       system providing the ability to correctly detect proximity of a host
       given for an NFS mount.

     o Automount map entries that refer to multiple hosts in the mount
       location (replicated mount), the automount daemon probes a list of
       remote hosts for their proximity and NFS version. If hosts fail to
       respond, they are removed from the list. If no remote hosts reply at
       all, the list may become empty. Previously, the daemon did not check
       if the list was empty following the initial probe which would lead to
       a segmentation fault (by dereferencing a NULL pointer). This check has
       been added.

     o the ttfonts-zh_CN package formerly included the Zhong Yi Song TrueType
       font. The copyright in this font belongs to Beijing Zhong Yi
       Electronics Co., which has licensed Red Hat Inc. to distribute the
       font only in products and software under the Red Hat name. The
       inclusion of this font in ttfonts-zh_CN would therefore preclude Red
       Hat from freely distributing this package. The Zhong Yi Song TrueType
       font is still available to Red Hat customers via the Red Hat Network
       and the Supplementary CD in the fonts-chinese-zysong package.

     o multipathd crashed with a status of with a multipathd dead but pid
       file exists when multipath was configured for 1024 or more paths,
       because it was unable to open a file descriptor for each path. This
       may also have caused error calling out /sbin/mpath_prio_ontap
       /dev/[device] errors. Now, a new multipath.conf parameter, max_fds,
       allows end-users to set the maximum number of file descriptors that
       the multipathd process can have open, or to use max to set the number
       to the system maximum. Setting max_fds to either a sufficiently high
       number or to max avoids this crash in multipathd.

     o Previously, when using the accraid driver with an Adaptec 2120S or
       Adaptec 2200S controller, the system may have failed to bootup,
       returning the error: aac_srb:aac_fib_send failed with status 8195.
       With this update, the accraid driver has been updated, which resolves
       this issue.

     o SOS is a set of tools that gathers information about a system's
       hardware and current configuration. The information can then be used
       for diagnostic purposes and debugging.

       With this update, the reports generated by sosreport now include five
       types of information that were not previously collected:

          o the content of /var/log/cron* and the output of crontab -l to
            show what was running at the time that the problem occurred.

          o partition information from parted instead of what was previously
            collected from fdisk, since parted can collect partition
            information in situations where fdisk cannot (for example, GUID
            partitions).

          o output from dumpe2fs -l.

          o the content of /etc/inittab.

          o output from "/sbin/service --status-all" to show the current
            status of services. Previously, only their settings at boot time
            were collected (from "chkconfig --list").

     o automount uses umount(8) when expiring mounts and umount(8) can wait
       indefinitely for a server to respond. This can lead to the expire
       being blocked causing mounts not to be expired for a long period of
       time in the same /usr/sbin/automount process (that is, the mount that
       the given automount process in managing). Consequently, if a server
       was unreachable, then automount would not unmount any expired mounts,
       even on the servers that are responding. Systems can then be left with
       a large number of mounts that can be expired but are not. Automount
       now includes a command line option to specify a time for automount to
       wait before giving up and moving on to remaining mounts. Expired
       mounts can therefore be unmounted even if some servers do not respond.

     o The netpbm package has been updated to fix the following bugs:

          o Several utilities shipped with netpbm did not accept files from
            standard input even though this method was in accordance with
            documentation. With this update, this issue has been resolved.

          o Several utilities shipped with netpbm may have crashed during
            processing of image files. With this update, this issue has been
            resolved.

     o the ICQ Internet message protocol servers recently changed and now
       require clients to use a newer version of the ICQ protocol. Logging in
       to ICQ with Pidgin 2.5.2 (the version previously shipped with Red Hat
       Enterprise Linux 4) failed with an error message as a result. With
       this update, Pidgin has been updated to version 2.5.5, which resolves
       this issue.

     o Previously, the Red Hat Knowledgebase article documenting Fibre
       Channel rescan in Red Hat Enterprise Linux 4 was not accurate. This
       procedure has now been updated, and can be viewed at:
       [7]http://kbase.redhat.com/faq/docs/DOC-3942

     o After successfully connecting to an SSH server, the server may return
       a text based banner back to the SSH client. Consequently, if gftp (a
       graphical ftp client) attempted to connect (via SFTP) to an SSH server
       that returns a banner, gftp would interpret the banner as an error,
       and close the connection. With this update, gftp has been updated to
       version 2.0.18, allowing connections to servers with banners.

     o When uploading a single file to a NFS directory, the timestamp
       indicating the modification and access times of the file may not have
       been recorded correctly. With this update, the timestamp is now always
       updated, which resolves this issue.

     o The probing code in kudzu for PCI devices would not properly find some
       modules that work by binding to specific PCI classes, notably, the
       sgiioc4 driver on SGI Altix systems. Without these modules loaded, the
       system would not detect devices that depended on the driver. A new
       version of the probing code is included in this updated package, which
       is able to successfully find the affected modules.

Known Issues

     o The Logical Volume Manager in Red Hat Enterprise Linux 4.8 reports
       file descriptor leaks, resulting in the following error returned to
       the installation output:

 File descriptor NUM (socket:XXXX) leaked on lvm invocation.


       This message can be safely ignored.

     o When installing Red Hat Enterprise Linux 4 through an Network File
       System (NFS) server, the installer is unable to correctly close the
       NFS mount points. This might cause the NFS server to misbehave. In
       these cases Red Hat suggests the use of an HTTP server for
       installations.

     o On systems where the BIOS is able to do both legacy (acpiphp) and
       native (pciehp) PCI hotplugging, it is necessary for the administrator
       to choose a preferred method and explicitly prevent Red Hat Enterprise
       Linux 4 from loading the module for the undesired method. This is done
       by blacklisting the undesired module in /etc/modprobe.conf.

     o Hardware testing for the Mellanox MT25204 has revealed that an
       internal error occurs under certain high-load conditions. When the
       ib_mthca driver reports a catastrophic error on this hardware, it is
       usually related to an insufficient completion queue depth relative to
       the number of outstanding work requests generated by the user
       application.

       Although the driver will reset the hardware and recover from such an
       event, all existing connections at the time of the error will be lost.
       This generally results in a segmentation fault in the user
       application. Further, if opensm is running at the time the error
       occurs, then you need to manually restart it in order to resume proper
       operation.

     o A bug in previous versions of openmpi and lam may prevent you from
       upgrading these packages. This same bug may cause up2date to fail when
       upgrading all packages.

       This bug manifests in the following error when attempting to upgrade
       openmpi or lam:

 error: %preun(openmpi-[version]) scriptlet failed, exit status 2


       This bug also manifests in the following error (logged in
       /var/log/up2date) when attempting to upgrade all packages through
       up2date:

 up2date Failed running rpm transaction - %pre %pro failure ?.


       As such, you need to manually remove older versions of openmpi and lam
       first in order to avoid these errors. To do so, use the following rpm
       command:

       rpm -qa | grep '^openmpi-\|^lam-' | xargs rpm -e --noscripts
       --allmatches

     o When a LUN is deleted on a configured storage system, the change is
       not reflected on the host. In such cases, lvm commands will hang
       indefinitely when dm-multipath is used, as the LUN has now become
       stale.

       To work around this, delete all device and mpath link entries in
       /etc/lvm/.cache specific to the stale LUN. To find out what these
       entries are, run the following command:

       ls -l /dev/mpath | grep <stale LUN>

       For example, if <stale LUN> is 3600d0230003414f30000203a7bc41a00, the
       following results may appear:

 lrwxrwxrwx 1 root root 7 Aug  2 10:33 /3600d0230003414f30000203a7bc41a00 -> ../dm-4
 lrwxrwx--rwx 1 root root 7 Aug  2 10:33 /3600d0230003414f30000203a7bc41a00p1 -> ../dm-5


       This means that 3600d0230003414f30000203a7bc41a00 is mapped to two
       mpath links: dm-4 and dm-5.

       As such, the following lines should be deleted from /etc/lvm/.cache:

 /dev/dm-4
 /dev/dm-5
 /dev/mapper/3600d0230003414f30000203a7bc41a00
 /dev/mapper/3600d0230003414f30000203a7bc41a00p1
 /dev/mpath/3600d0230003414f30000203a7bc41a00
 /dev/mpath/3600d0230003414f30000203a7bc41a00p1


     o In a HA-RAID two-system configuration, two SAS adapters are plugged in
       to two systems and connected to a shared SAS disk drawer. Setting the
       Preferred Dual Adapter State attribute to Primary on both SAS adapters
       can trigger a race condition and cause infinite failover between the
       two SAS adapters. This is because only one SAS adapter can be set to
       Primary.

       To prevent this error, ensure that the Preferred Dual Adapter State of
       one SAS adapter is set to None if the other SAS adapter should be set
       to Primary.

     o If you need to use the hp_sw kernel module, install the updated
       device-mapper-multipath package.

       You also need to properly configure the HP array to correctly use
       active/passive mode and recognize connections from a Linux machine. To
       do this, perform the following steps:

         1. Determine what the world wide port name (WWPN) of each connection
            is by using show connections. Below is a sample output of show
            connections on an HP MSA1000 array with two connections:

 Connection Name: <Unknown>
 Host WWNN = 200100E0-8B3C0A65
 Host WWPN = 210100E0-8B3C0A65
 Profile Name = Default
 Unit Offset = 0
 Controller 2 Port 1 Status = Online

 Connection Name: <Unknown>
 Host WWNN = 200000E0-8B1C0A65
 Host WWPN = 210000E0-8B1C0A65
 Profile Name = Default
 Unit Offset = 0
 Controller 1 Port 1 Status = Online


         2. Configure each connection properly using the following command:

            add connection [connection name] WWPN=[WWPN ID] profile=Linux
            OFFSET=[unit offset]

            Note that [connection name] can be set arbitrarily.

            Using the given example, the proper commands should be:

            add connection foo-p2 WWPN=210000E0-8B1C0A65 profile=Linux
            OFFSET=0

            add connection foo-p1 WWPN=210100E0-8B3C0A65 profile=Linux
            OFFSET=0

         3. Run show connections again to verify that each connection is
            properly configured. As per the given example, the correct
            configuration should be:

 Connection Name: foo-p2
 Host WWNN = 200000E0-8B1C0A65
 Host WWPN = 210000E0-8B1C0A65
 Profile Name = Linux
 Unit Offset = 0
 Controller 1 Port 1 Status = Online

 Connection Name: foo-p1
 Host WWNN = 200100E0-8B3C0A65
 Host WWPN = 210100E0-8B3C0A65
 Profile Name = Linux
 Unit Offset = 0
 Controller 2 Port 1 Status = Online


     o Red Hat discourages the use of quota on EXT3 file systems. This is
       because in some cases, doing so can cause a deadlock.

       Testing has revealed that kjournald can sometimes block some
       EXT3-specific callouts that are used when quota is running. As such,
       Red Hat does not plan to fix this issue in Red Hat Enterprise Linux 4,
       as the modifications required would be too invasive.

       Note that this issue is not present in Red Hat Enterprise Linux 5.

     o Hardware testing for the Mellanox MT25204 has revealed that an
       internal error occurs under certain high-load conditions. When the
       ib_mthca driver reports a catastrophic error on this hardware, it is
       usually related to an insufficient completion queue depth relative to
       the number of outstanding work requests generated by the user
       application.

       Although the driver will reset the hardware and recover from such an
       event, all existing connections at the time of the error will be lost.
       This generally results in a segmentation fault in the user
       application. Further, if opensm is running at the time the error
       occurs, then you need to manually restart it in order to resume proper
       operation.

     o The Desktop Sharing connection icon displays its context menu when you
       double-click it, not when you right-click it. All other icons display
       their context menus when you right-click on them.

     o If the ib_ehca InfiniBand driver is loaded in port auto-detection mode
       (using module parameter nr_ports=-1), the IP-over-InfiniBand network
       interfaces (ibX) might become available too late. When this occurs,
       the ifup ibX command issued from the openibd startup script will fail;
       consequently, the ibX interface will not become available.

       When this occurs, use the command rcnetwork restart to fix the
       problem.

     o In the [8]IBM Redbook "Implementing InfiniBand in IBM System p
       (SG247351) manual, Table 6-3 (on page 220 of the PDF version)
       describes debug code bit definitions, where several HCA error
       indicator bits are also described.

       Note that with eHCA2 adapters, bits 46 and 47 of these error indicator
       bits might return false positives.

     o On HP ICH10 workstations, audio is only enabled through the front
       3.5mm jacks. As such, to receive any audio output or use recording,
       you should plug in your headphones, speakers, or microphones to the
       front jacks. At present, the rear jacks, internal speaker, and master
       volume for this workstation do not work.

     o With this update, the default PCI detection and ordering mode for the
       following models have changed:

          o HP Proliant DL 580 G5

          o HP Proliant DL 385 G2

          o HP Proliant DL 585 G2

       These models use a device scanning and enumeration mode which is not
       the default for Red Hat Enterprise Linux 4 or 5. The mode used by
       these HP Proliant models could result in add-on cards being detected
       and added prior to onboard/internal devices. This unexpected ordering
       could cause difficulties when installing new instances of Red Hat
       Enterprise Linux, adding hardware, and maintenance.

       The numbering of network interface cards (NIC) for the aforementioned
       HP Proliant models may change when they are updated with the Red Hat
       Enterprise Linux 4.7 kernel. The installer changes NIC numbering if
       the HWADDR=MAC ADDRESS parameter is not defined in
       /etc/sysconfig/network-scripts/ifcfg-eth[X] for each installed NICs.
       As such, Red Hat recommends that you ensure this parameter is defined
       in order to avoid any problems arising from an unexpected NIC
       enumeration.

       In addition, to avoid any NIC enumeration changes after updating these
       HP Proliant models to Red Hat Enterprise Linux 4.7, add the kernel
       boot parameter pci=nobfsort to /boot/grub/grub.conf.

     o When a volume group contains a mirror or snapshot, issuing the
       lvchange command with a volume group parameter may result in the
       following error messages:

 Unable to change mirror log LV fail_secondary_mlog directly
 Unable to change mirror image LV fail_secondary_mimage_0 directly
 Unable to change mirror image LV fail_secondary_mimage_1 directly


       These messages can be safely ignored.

     o Dell PowerEdge SC1435s systems may hang during boot-up. To avoid this,
       edit the terminal line in grub.conf and replace the string serial
       console with console serial.

     o The updated ixgbe driver does not support the Intel 82598AT (Copper
       Pond 10GbE).

     o Red Hat Enterprise Linux 5.3 can detect online growing or shrinking of
       an underlying block device. However, there is no method to
       automatically detect that a device has changed size, so manual steps
       are required to recognize this and resize any file systems which
       reside on the given device(s). When a resized block device is
       detected, a message like the following will appear in the system logs:

 VFS: busy inodes on changed media or resized disk sdi


       If the block device was grown, then this message can be safely
       ignored. However, if the block device was shrunk without shrinking any
       data set on the block device first, the data residing on the device
       may be corrupted.

       It is only possible to do an online resize of a filesystem that was
       created on the entire LUN (or block device). If there is a partition
       table on the block device, then the file system will have to be
       unmounted to update the partition table.

     o There is a known memory leak with the res_n* family of resolver
       routines (i.e. res_nquery, res_nsearch and res_nmkquery). Programs
       that use these functions will leak memory over time. It has been fixed
       in newer versions of glibc, however, the fix is too invasive to be
       applied to Red Hat Enterprise Linux 4. Programs that use these
       functions may need to be restarted occasionally to free memory.

     o The number of devices that can be handled during installation of Red
       Hat Enterprise Linux 4 depends on the size of the installation initrd
       image. Therefore, in situations where there are many devices attached
       to a machine (such as heavily populated Fibre Channel setups)
       installation will not be possible unless number of visible devices is
       reduced.

     o The aacraid driver update that was first introduced in Red Hat
       Enterprise Linux 4.7 requires up to date Adaptec PERC3/Di firmware.
       Subsequent updates of Red Hat Enterprise Linux 4 (including this 4.8
       update) require, that the PERC3/Di firmware is at version 2.8.1.7692,
       A13 or newer. The firmware may be obtained at the following location:

       [9]http://support.dell.com/support/downloads/download.aspx?c=us&cs=555&l=en&s=biz&releaseid=R168387&SystemID=PWE_PNT_PIII_1650&servicetag=&os=WNET&osl=en&deviceid=1375&devlib=0&typecnt=0&vercnt=9&catid=-1&impid=-1&formatcnt=4&libid=35&fileid=228550

     o During installation anaconda may not remove all the Logical Volume
       Manager (LVM) metadata that exists on a system prior to installation.
       This extra metadata may cause LVM tools to report missing volume
       groups or logical volumes after installation. To work around this
       issue, remove the stale LVM metadata after the installation is
       complete.

     o multipath does not silence the error messages printed by any of it's
       callout programs. Therefore, if multipath is run when paths are down,
       various error messages may be displayed. The messages that are
       displayed depend on the specific callout programs that multipath is
       using. For example, if multipath is run while there are failed scsi
       devices, scsi_id will print

 <H>:<B>:<T>:<L>:Unable to get INQUIRY vpd 1 page 0x0.
 <H>:<B>:<T>:<L>:sg_io failed status 0x0 0x1 0x0 0x0


       Or, if multipath -ll is run while an EMC CLARiiON is down, the
       mpath_prio_emc priority callout will print query command indicates
       error

   ( amd64 )

References

   Visible links
   1. http://www.opencontent.org/openpub/
   2. http://www.redhat.com/docs/manuals/enterprise/
   3. https://www.redhat.com/security/updates/errata/
   4. https://www.redhat.com/archives/nahant-list/2008-July/msg00059.html
   5. http://samba.org/samba/history/samba-3.0.33.html
   6. http://www.redhat.com/support/policy/soc/production/preview_scope/
   7. http://kbase.redhat.com/faq/docs/DOC-3942
   8. http://www.redbooks.ibm.com/abstracts/sg247351.html
   9. http://support.dell.com/support/downloads/download.aspx?c=us&cs=555&l=en&s=biz&releaseid=R168387&SystemID=PWE_PNT_PIII_1650&servicetag=&os=WNET&osl=en&deviceid=1375&devlib=0&typecnt=0&vercnt=9&catid=-1&impid=-1&formatcnt=4&libid=35&fileid=228550%20%20%20
